eoScalarFitnessStat(3)

NAME
eoScalarFitnessStat - The fitnesses of a whole population, as a std::vector.

SYNOPSIS

#include <eoScalarFitnessStat.h>

Inherits eoSortedStat< EOT, std::vector< double > >.

  Public Member Functions
eoScalarFitnessStat (std::string _description='FitnessES', eoRealVectorBounds &_bounds=eoDummyVectorNoBounds)
virtual void operator() (const std::vector< const EOT * > &_popPters)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoRealBounds & range

Detailed Description

  template<class EOT, class FitT = typename EOT::Fitness> class eoScalarFitnessStat< EOT, FitT >
The fitnesses of a whole population, as a std::vector.

Definition at line 37 of file eoScalarFitnessStat.h.

Author

Generated automatically by Doxygen for EO from the source code.